Uploaded image for project: 'Couchbase Server'
  1. Couchbase Server
  2. MB-7339

index replica enabled by default on upgrade

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Incomplete
    • Affects Version/s: 2.0, 2.0.1, 2.1.0
    • Fix Version/s: feature-backlog
    • Component/s: ns_server
    • Security Level: Public
    • Environment:
      Windows 2008 R2 64bit

      Description

      Online upgrade 5 nodes cluster from 1.8.1
      Create default bucket with one replica
      Load 20 million items to this default bucket. Data path is set to c:/data
      10.3.2.11
      10.3.2.12
      10.3.2.16
      10.3.2.10
      10.3.2.75

      Online upgrade to 2.0.0-1971
      Final cluster upgraded to 2.0.0-1971

      10.3.2.11
      10.3.2.16
      10.3.2.75
      10.3.2.76
      10.3.2.77

      Replica index is automatically enable in default bucket as in picture.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

          Hide
          wayne Wayne Siu added a comment -

          Updated the fix version to 2.2.1 for review.

          Show
          wayne Wayne Siu added a comment - Updated the fix version to 2.2.1 for review.
          Hide
          maria Maria McDuff (Inactive) added a comment -

          iryna,

          can you check pls if this issue is also happening in upgrade from 2.0 to 2.2?

          Show
          maria Maria McDuff (Inactive) added a comment - iryna, can you check pls if this issue is also happening in upgrade from 2.0 to 2.2?
          Hide
          iryna iryna added a comment -

          happens only during upgrade 1.8.1 -> 2.x upgrade. Doesn't happen 2.x -> 2.x upgrade

          Show
          iryna iryna added a comment - happens only during upgrade 1.8.1 -> 2.x upgrade. Doesn't happen 2.x -> 2.x upgrade
          Hide
          alkondratenko Aleksey Kondratenko (Inactive) added a comment -

          Now that upgrade from 1.8x is not supported anymore. This bug is automagically expired

          Show
          alkondratenko Aleksey Kondratenko (Inactive) added a comment - Now that upgrade from 1.8x is not supported anymore. This bug is automagically expired
          Hide
          iryna iryna added a comment -

          per previous comment-closed

          Show
          iryna iryna added a comment - per previous comment-closed

            People

            • Assignee:
              iryna iryna
              Reporter:
              thuan Thuan Nguyen
            • Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Gerrit Reviews

                There are no open Gerrit changes